Bug 364901 - anaconda fails to see dmraid on ICH9DO, accessing drives directly
anaconda fails to see dmraid on ICH9DO, accessing drives directly
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: dmraid (Show other bugs)
8
x86_64 Linux
low Severity high
: ---
: ---
Assigned To: Heinz Mauelshagen
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-11-02 20:31 EDT by James Twyford
Modified: 2008-12-10 13:22 EST (History)
9 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-12-10 13:22:51 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Bad detect raid whith Ich9 (2.94 KB, application/octet-stream)
2008-10-04 12:53 EDT, MICHEL Serge
no flags Details
Bad detect raid whith Ich9 (56.73 KB, application/octet-stream)
2008-10-04 12:54 EDT, MICHEL Serge
no flags Details
Bad detect raid whith Ich9 (33.24 KB, application/octet-stream)
2008-10-04 12:55 EDT, MICHEL Serge
no flags Details

  None (edit)
Description James Twyford 2007-11-02 20:31:31 EDT
Description of problem:
Trying to install f8rc3 on my new system, with an ICH9DO southbridge. I've got a
raid5 set up using Intel's BIOS raid setup. Was consistently getting "Error
opening /dev/mapper/isw_bihbjjgche_Volume0: No such device or address 80" errors.

Version-Release number of selected component (if applicable):
Anaconda f8rc3

How reproducible:
Always

Steps to Reproduce:
1. Set up Intel's bios raid solution to use a raid setup
2. Start up the installer as normal
3. Watch it get horribly confused by the metadata on the drives
  
Actual results:
The installer gets confused and tries to address each drive individually instead
of via the RAID

Expected results:
The installer uses the raid for a huge datastore

Additional info:
ASUS P5E-VM motherboard, 6 SATA drives, #0 is direct access, #1-5 are in a RAID5.

For the time being since I want to at least get something running on the new
computer I've just got the installer ignoring the other 5 drives. Boots and
installs just fine. Just need to find a patch cable so I can hook it up to the net.
Comment 1 James Twyford 2007-11-02 21:24:02 EDT
Restarted the installer so I could get more data posted. Switching VTerms to
list relevant console output after the first error:

I've got the system in front of me and stable, there's no data on it whatsoever
so I can screw around as much as necessary to help get this fixed.

==VT1==

Starting graphical installation...
isw: untested metadata version 1.2.04 found on /dev/sdf
isw: untested metadata version 1.2.04 found on /dev/sde
isw: untested metadata version 1.2.04 found on /dev/sdd
isw: untested metadata version 1.2.04 found on /dev/sdc
isw: untested metadata version 1.2.04 found on /dev/sdb
Error
Error opening /dev/mapper/isw_bihbjjgche_Volume0: No such device or address
80

==VT3==

09:06:30 WARNING : /usr/lib/anaconda/dmraid.py:247: UserWarning: device node
created in /tmp
  isys.makeDevInode(d, dp)

09:06:30 WARNING : /usr/lib/anaconda/dmraid.py:129: UserWarning: device node
created in /tmp
  isys.makdeDevInode(d, dp)

09:06:31 ERROR   : Activating raid isw_bihbjjgche_Volume0 failed:
09:06:31 ERROR   :   table: 0 3907073024 raid45 core 2 131072 nosync raid5_la 1
28 5 -1 /dev/sdb 0 /dev/sdc 0 /dev/sdd 0 /dev/sde 0 /dev/sdf 0
09:06:31 ERROR   :   exception: device-mapper: reload ioctl failed: Invalid argument
09:06:31 CRITICAL: parted exception: Error: Error opening
/dev/mapper/isw_bihbjjgche_Volume0: No such device or address

==VT4==
-cut off, can't scroll up-

<4>raid6: sse1x2    2703 MB/s
<4>raid6: sse2x1    3753 MB/s
<4>raid6: sse2x2    4285 MB/s
<4>raid6: using algorithm sse2x2 (4285 MB/s)
<6>md: raid6 personality registered for level 6
<6>md: raid5 personality registered for level 5
<6>md: raid4 personality registered for level 4
<6>md: raid10 personality registered for level 10
<4>GFS2 (built Oct 30 2007 13:08:29) installed
<6>Lock_Nolock (built Oct 30 2007 13:08:47) installed
<6>JFS: nTxBlock = 8192, nTxLock = 65536
<6>SGI XFS with ACLs, security attributes, large block numbers, no debug enabled
<6>SGI XFS Quota Management subsystem
<6>device-mapper: ioctl: 4.11.0 ioctl (2006-10-12) initialised: dm-devel@redhat.com
<6>device-mapper: multipath: version 1.0.5 loaded
<6>device-mapper: multipath round-robin: version 1.0.0 loaded
<6>device-mapper: multipath emc: version 0.0.3 loaded
<6>usbcore: registered new interface driver appletouch
<5>audit(1193994357.517:3) audit_pid=915 old=0 by auid=4294967295
subj=system_u:system_r:anaconda_t:s0
<6>ACPI: PCI Interrupt: 0000:01:00.0[A] -> GSI 16 (level, low) -> IRQ 16
<3>device-mapper: table: 253:0: raid45: unknown target type
<4>device-mapper: ioctl: error adding target to table
Comment 2 John Robinson 2008-07-24 12:07:36 EDT
I am seeing the same thing with CentOS 5.2 on an Asus P5Q PRO with ICH10R, so 
presumably the same problem exists with RHEL 5.2. I note that the documentation 
for dmraid only mentions RAID 0 and 1 for Intel Software RAID. I'm going to 
give Fedora 9 a whizz too in case it's the kernel support which is behind, 
since it looks to me like the the main problem is that "device-mapper: raid45: 
unknown target type" error.

Really I want to try Citrix XenServer on this box but it barfs at the P5Q's 
unsupported GbE LAN interface (Attansic L1, pci id 1969:1026), so was hoping a 
more recent CentOS/RHEL would do the trick (since Citrix XenServer is based on 
CentOS), and I could add the net driver after installation.
Comment 3 MICHEL Serge 2008-10-04 12:53:01 EDT
Created attachment 319468 [details]
Bad detect raid whith Ich9

At installation Fedora 10 Beta I think it the same problem, no answer from anaconda after step choose lang, if I want to install, i have to do unplug (sata cable ) the media sdc

I join too /tmp/syslog and /tmp/X.log
Comment 4 MICHEL Serge 2008-10-04 12:54:13 EDT
Created attachment 319469 [details]
Bad detect raid whith Ich9

At installation Fedora 10 Beta I think it the same problem, no answer from anaconda after step choose lang, if I want to install, i have to do unplug (sata cable ) the media sdc

I join too  /tmp/anaconda.log and /tmp/X.log
Comment 5 MICHEL Serge 2008-10-04 12:55:14 EDT
Created attachment 319470 [details]
Bad detect raid whith Ich9

At installation Fedora 10 Beta I think it the same problem, no answer from anaconda after step choose lang, if I want to install, i have to do unplug (sata cable ) the media sdc

I join too /tmp/anaconda.log and /tmp/syslog
Comment 6 Bug Zapper 2008-11-26 03:11:09 EST
This message is a reminder that Fedora 8 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 8.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '8'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 8's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 8 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 7 Dimi Paun 2008-11-28 16:15:00 EST
Same problem here with Intel ICH8R RAID using Fedora 10 Final.
Anaconda sees the drives independently, and complains that I have two drives labeled identically (with '/boot') and just exists.
Comment 8 Heinz Mauelshagen 2008-12-10 13:22:51 EST
This is fixed in newer Fedora versions.

Note You need to log in before you can comment on or make changes to this bug.